<?php
/**
* HTTPの例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_HttpException extends charcoal_Exception
{
	private $_status;

	public function __construct( $status_code )
	{
		$this->_status = $status_code;

		$msg = "[status_code]$status_code";

		parent::__construct( $msg );
	}

	/**
	 *   ステータスコード
	 */
	function getStatusCode()
	{
		return $this->_status;
	}
}
